For the latest COVID-19 campus news and resources, visit umassmed.edu/coronavirus.

Search Close Search
Page Menu

GoToMeeting - Mac Support

Date Posted: Tuesday, December 02, 2014


GoToMeeting will no longer support Macs using OS X 10.6 Snow Leopard or below.

However, you can still use GoToMeeting with OS X 10.7 Lion, 10.8 Mountain Lion, 10.9 Mavericks and 10.10 Yosemite.

For information on upgrading please visit this Citrix Web Page.